complexType "CommodityPricingDates"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 13 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (calculationPeriodsReference? | calculationPeriodsScheduleReference? | calculationPeriodsDatesReference?), ((lag?, ((dayType?, ((dayDistribution?, dayCount?) | (dayOfWeek[0..7], dayNumber?)), businessCalendar?) | settlementPeriods* | settlementPeriodsReference*)) | pricingDates*)
</...>

Content Model Elements (13):

  businessCalendar (defined in CommodityPricingDates complexType),
  calculationPeriodsDatesReference,
  calculationPeriodsReference,
  calculationPeriodsScheduleReference,
  dayCount,
  dayDistribution,
  dayNumber,
  dayOfWeek,
  dayType (defined in PricingDays.model group),
  lag (defined in CommodityPricingDates complexType),
  pricingDates (defined in CommodityPricingDates complexType),
  settlementPeriods (defined in CommodityPricingDates complexType),
  settlementPeriodsReference (defined in CommodityPricingDates complexType)

All Direct / Indirect Based Elements (2):

  pricingDates (in calculation in floatingLeg), | pricingDates (in commodityOption)

Known Usage Locations

- As direct type of elements (2):

  pricingDates (in calculation in floatingLeg), | pricingDates (in commodityOption)

Annotation
The dates on which prices are observed for the underlyer.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="CommodityPricingDates"> <xsd:sequence> <xsd:group ref="CommodityCalculationPeriodsPointer.model"/> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="lag" type="Lag"/> <xsd:choice> <xsd:sequence> <xsd:group ref="PricingDays.model"/> <xsd:element minOccurs="0" name="businessCalendar" type="CommodityBusinessCalendar"/> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriods" type="SettlementPeriods"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/> </xsd:choice> </xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="pricingDates" type="AdjustableDates"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/13)
businessCalendar

  Type: | CommodityBusinessCalendar, simple content

  Identifies a commodity business day calendar from which the pricing dates will be generated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="businessCalendar" type="CommodityBusinessCalendar"/>

lag

  Type: | Lag, complex content

  The pricing period per calculation period if the pricing days do not wholly fall within the respective calculation period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lag" type="Lag"/>

pricingDates

  Type: | AdjustableDates, complex content

  A list of adjustable dates on which the trade would price. Each date will price for the Calculation Period within which it falls.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="pricingDates" type="AdjustableDates"/>

settlementPeriods

  Type: | SettlementPeriods, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriods" type="SettlementPeriods"/>

settlementPeriodsReference

  Type: | SettlementPeriodsReference, empty content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.